Jak zaktualizować pakiety xorg w Ubuntu 10.04PORADNIK DLA TYCH, KTÓRZY POSIADAJĄ PACZKI: 1:7.4+3xxx, aby system nadal działał??
PROCEDURA DLA Ubuntu 10.04
Jest to możliwe, ale jest z tym trochę pracy, NIE DAJE GWARANCJI ŻE U CIEBIE ZADZIAŁA
DLATEGO:

ROBISZ TO NA WŁASNĄ ODPOWIEDZIALNOŚĆ

Jeśli nastąpi problem z grafiką lub system się nie będzie chciał załadować lub wystąpią inne problemy wynikające i nie wynikające z tej procedury: NIE BIORĘ ZA NIE ODPOWIEDZIALNOŚCI !!

Obecne paczki przy aktualizacji, kasują (chcą skasować) pakiety nvidia-glx-xxx, bez których (jeśli posiadacie karty nvidia) system nie będzie działać właściwie.

Pamiętaj, jak coś się popsuje po restarcie, nie biorę za to odpowiedzialności.

Otwieramy Terminal i wpisujemy: sudo gedit , wpisujesz hasło konta.
Teraz otwierasz plik: sources.list , który znajduje się w /etc/apt/
I na samym dole dodajesz to repo: deb http://ftp.de.debian.org/debian sid main
Oczywiście po dodaniu wskazanego repo, plik sources.list zapisujesz, nie zamykasz gedit.
Jeśli znajdują się w tym pliku, na dole, jakieś repozytoria dodatkowe, kopiujesz je np. do nowego pliku i zapisujesz.

Otwieramy synaptic: albo z menu, albo przez terminal: sudo synaptic.
Aktualizujesz repozytoria…
Może się pojawić błąd klucza, więc go dodajemy:
gpg --keyserver subkeys.pgp.net --recv-keys xxxxxxxxxxxxxxxxxxx

po wdrożeniu do do systemu, dopiero:
gpg --armor --export xxxxxxxxxxxxxxxx | sudo apt-key add -
w miejsce xxxxxxxxxxxxxxxxx wpisujesz oczywiście numer klucza.

Teraz kasujemy całą zawartość xserver-xorg lub w menu u góry „Pakiet” >> „Wymuś wersję…” >> z listy wybieramy pakiet (unstable).
Po prostu chodzi o to, aby zamienić wszystkie pakiety starego xserver-xorg, na pakiety Debian-a w wersji 1:7.5.
Może się pojawić konflikt z xorg-zephyr, ale w tedy zamieniamy plik na pakiet z Debian-a.

Nie powinno być problemów. U mnie żadne nie wystąpiły…
Tak to u mnie wygląda:

Teraz kasujemy pakiety: hal i hal-info.
Bez problemu powinny się skasować 🙂
Teraz do nadal otwartego gedit: kasujesz wcześniej skopiowane repo sid, a wklejasz wcześniejsze repozytoria jakie posiadałeś, jeśli posiadałeś (skopiowałeś jakieś).
Wykonujemy restart systemu, jeśli wszystko poszło dobrze, system bez problemów powinien się uruchomić, nie powodując żadnych błędów.
Oczywiście po aktualizacji repo ubuntu, nie aktualizujemy paczek xserver-xorg nawet jeśli są pokazane że są starsze niż te w repo w lucid:)
Jeśli jakieś się pojawią, dokonujesz powrotu poprzednich pakietów, Podpowiedź jak to zrobić, w tym linku. Jeśli pojawi się błąd: wszystko dokonujemy bez ładowania się gdm, ale z czystego terminala (wybór przy wyborze jądra systemu: grub).

Pamiętaj, nie daje gwarancji że u ciebie wszystko pójdzie dobrze, u mnie zadziałało.

Reklamy

Skomentuj

Wprowadź swoje dane lub kliknij jedną z tych ikon, aby się zalogować:

Logo WordPress.com

Komentujesz korzystając z konta WordPress.com. Wyloguj / Zmień )

Zdjęcie z Twittera

Komentujesz korzystając z konta Twitter. Wyloguj / Zmień )

Facebook photo

Komentujesz korzystając z konta Facebook. Wyloguj / Zmień )

Google+ photo

Komentujesz korzystając z konta Google+. Wyloguj / Zmień )

Connecting to %s